Name:           python-prettytable
Version:        2.4.0
Release:        2
Summary:        Display tabular data in a visually appealing ASCII table format.
License:        BSD
URL:            http://pypi.python.org/pypi/PrettyTable
Source0:        https://files.pythonhosted.org/packages/source/p/prettytable/prettytable-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-setuptools_scm

%description
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%package_help

%package -n python3-prettytable
Summary:    Display tabular data in a visually appealing ASCII table format.
%{?python_provide:%python_provide python3-prettytable}

%description -n python3-prettytable
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.
This package is for python3.

%prep
%autosetup -n prettytable-%{version}

%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files help
%defattr(-,root,root)
%doc README.md CHANGELOG.md

%files -n python3-prettytable
%defattr(-,root,root)
%license COPYING
%{python3_sitelib}/prettytable*
%{python3_sitelib}/prettytable-%{version}*

%changelog
* Wed Oct 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 2.4.0-2
- Rebuild for next release

* Mon Dec 27 2021 yanglongkang <yanglongkang@huawei.com> -2.4.0-1
- upadate to 2.4.0

* Wed Nov 4 2020 wangjie<wangjie294@huawei.com> -0.7.2-20
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Sat Sep 5 2020 shixuantong <shixuantong@huawei.com> - 0.7.2-19
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: update Source0

* Wed Feb 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.7.2-18
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add macros of python-provides about python3

* Thu Jan 9 2020 hanxinke<hanxinke@huawei.com> - 0.7.2-17
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:sync community

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.7.2-16
- Package init
